Xapian: API Documentation: Xapian::Unicode Namespace Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Xapian::Unicode Namespace Reference

Functions associated with handling Unicode characters. More...

## Enumerations
enum | category
| Each Unicode character is in exactly one of these categories. More...

## Functions
unsigned | nonascii_to_utf8 (unsigned ch, char *buf)
| Convert a single non-ASCII Unicode character to UTF-8. More...
unsigned | to_utf8 (unsigned ch, char *buf)
| Convert a single Unicode character to UTF-8. More...
void | append_utf8 (std::string &s, unsigned ch)
| Append the UTF-8 representation of a single Unicode character to a std::string.
category | get_category (unsigned ch)
| Return the category which a given Unicode character falls into.
bool | is_wordchar (unsigned ch)
| Test if a given Unicode character is "word character".
bool | is_whitespace (unsigned ch)
| Test if a given Unicode character is a whitespace character.
bool | is_currency (unsigned ch)
| Test if a given Unicode character is a currency symbol.
unsigned | tolower (unsigned ch)
| Convert a Unicode character to lowercase.
unsigned | toupper (unsigned ch)
| Convert a Unicode character to uppercase.
std::string | tolower (const std::string &term)
| Convert a UTF-8 std::string to lowercase.
std::string | toupper (const std::string &term)
| Convert a UTF-8 std::string to uppercase.

## Detailed Description

Functions associated with handling Unicode characters.

## Enumeration Type Documentation

enum Xapian::Unicode::category

Each Unicode character is in exactly one of these categories.

## Function Documentation

unsigned Xapian::Unicode::nonascii_to_utf8 | ( | unsigned | ch,
|  | char * | buf
| ) |  |

Convert a single non-ASCII Unicode character to UTF-8.

This is intended mainly as a helper method for to_utf8().

Parameters

  ch | The character (which must be > 128) to write to buf.
  buf | The buffer to write the character to - it must have space for (at least) 4 bytes.

Returns
  The length of the resultant UTF-8 character in bytes.

Referenced by to_utf8().

unsigned Xapian::Unicode::to_utf8 | ( | unsigned | ch,
|  | char * | buf
| ) |  |
| inline

Convert a single Unicode character to UTF-8.

Parameters

  ch | The character to write to buf.
  buf | The buffer to write the character to - it must have space for (at least) 4 bytes.

Returns
  The length of the resultant UTF-8 character in bytes.

References nonascii_to_utf8().

Referenced by append_utf8().